Skip to main content
GET
Start a CLI sign-in and return the AuthKit authorization URL.

Authorizations

Authorization
string
header
required

A Rafflesia API key, sent as Authorization: Bearer <key>.

Query Parameters

redirect_uri
string

Loopback URL the CLI listens on.

state
string

Opaque value echoed back to the CLI.

code_challenge
string

PKCE code challenge.

code_challenge_method
string

PKCE challenge method. Defaults to S256.

provider
string

AuthKit provider. Defaults to authkit.

connection_id
string

Restrict sign-in to one WorkOS connection.

organization_id
string

Restrict sign-in to one organization.

login_hint
string

Email to prefill. Ignored when it is not a valid address.

domain_hint
string

Domain to prefill.

Response

OK

ok
boolean
required

Whether the operation succeeded.

$schema
string<uri>
read-only

A URL to the JSON Schema for this object.

Example:

"https://example.com/schemas/AuthEnvelopeCLIAuthorizeData.json"

data
object

Operation result data.

error
object

Structured error information.